define OPACK_VAGRANT_CONTENT =
# -*- mode: ruby -*-
# vi: set ft=ruby :

ENV["VAGRANT_DEFAULT_PROVIDER"] = "libvirt"
Vagrant.configure("2") do |config|
  config.vm.define "$(OPACK_TARGET)"
  config.vm.box = "$(OPACK_BOX_TAG)"
  config.ssh.shell = "ksh -l"
  config.ssh.username = "root"
  config.ssh.extra_args = "-tt"
  config.ssh.sudo_command = "doas env %c"
  config.vm.synced_folder ".", "/vagrant", disabled: true
  config.vm.provision "shell", path: "$(OPACK_RUNTIME_PROVISION_FILE)"
  config.vm.provider "libvirt" do |l|
    l.cpus = $(OPACK_SYS_CPU)
    l.memory = $(OPACK_SYS_MEMORY)
  end
end

endef
